org.eclipse.emf.cdo.server.spi.security

## Class HomeFolderHandler

- java.lang.Object
- - org.eclipse.emf.cdo.server.spi.security.HomeFolderHandler

- All Implemented Interfaces:
    InternalSecurityManager.CommitHandler, InternalSecurityManager.CommitHandler2, IExecutorServiceProvider

      public class HomeFolderHandler
      extends Object
      implements InternalSecurityManager.CommitHandler2, IExecutorServiceProvider

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.3
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HomeFolderHandler.Factory` Creates `InternalSecurityManager.CommitHandler` instances.

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.spi.security.InternalSecurityManager.CommitHandler2

      `InternalSecurityManager.CommitHandler2.WithUser`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_HOME_FOLDER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HomeFolderHandler()`
    `HomeFolderHandler(String homeFolder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExecutorService` | `getExecutorService()`
    `String` | `getHomeFolder()`
    `void` | `handleCommit(InternalSecurityManager securityManager, IStoreAccessor.CommitContext commitContext, User user)` Called before the commit is security checked and passed to the repository.
    `void` | `handleCommitted(InternalSecurityManager securityManager, IStoreAccessor.CommitContext commitContext)` Called after the commit has succeeded.
    `protected void` | `handleUser(CDOTransaction transaction, Realm realm, Role role, User user)`
    `protected void` | `handleUsers(InternalSecurityManager securityManager, List<String> userIDs, boolean init)`
    `void` | `init(InternalSecurityManager securityManager, boolean firstTime)`
    `protected void` | `initRole(Role role)`
    `void` | `setExecutorService(ExecutorService executorService)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_HOME_FOLDER

          public static final String DEFAULT_HOME_FOLDER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HomeFolderHandler

          public HomeFolderHandler(String homeFolder)

    - #### HomeFolderHandler

          public HomeFolderHandler()

  - ### Method Detail

    - #### getHomeFolder

          public String getHomeFolder()

    - #### getExecutorService

          public ExecutorService getExecutorService()

      Specified by:
        `getExecutorService` in interface `IExecutorServiceProvider`

    - #### setExecutorService

          public void setExecutorService(ExecutorService executorService)

    - #### init

          public void init(InternalSecurityManager securityManager,
                           boolean firstTime)

      Specified by:
        `init` in interface `InternalSecurityManager.CommitHandler`

    - #### initRole

          protected void initRole(Role role)

    - #### handleCommit

          public void handleCommit(InternalSecurityManager securityManager,
                                   IStoreAccessor.CommitContext commitContext,
                                   User user)

      Description copied from interface: `InternalSecurityManager.CommitHandler`
      Called before the commit is security checked and passed to the repository.
      Specified by:
        `handleCommit` in interface `InternalSecurityManager.CommitHandler`
        `user` - the committing user or `null` if this commit is `triggered` by the system.
      See Also:
        `InternalSecurityManager.CommitHandler2`

    - #### handleCommitted

          public void handleCommitted(InternalSecurityManager securityManager,
                                      IStoreAccessor.CommitContext commitContext)

      Description copied from interface: `InternalSecurityManager.CommitHandler2`
      Called after the commit has succeeded.
      Specified by:
        `handleCommitted` in interface `InternalSecurityManager.CommitHandler2`

    - #### handleUsers

          protected void handleUsers(InternalSecurityManager securityManager,
                                     List<String> userIDs,
                                     boolean init)

    - #### handleUser

          protected void handleUser(CDOTransaction transaction,
                                    Realm realm,
                                    Role role,
                                    User user)
                             throws Exception

      Throws:
        `Exception`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html